Page MenuHome

Metaball cause selection of other mesh objects in viewport
Closed, ResolvedPublic

Description

System Information
Operating system: Darwin-16.7.0-x86_64-i386-64bit 64 Bits
Graphics card: NVIDIA GeForce GTX 780M OpenGL Engine NVIDIA Corporation 4.1 NVIDIA-10.17.5 355.10.05.45f01

Blender Version
Broken: version: 2.81 (sub 13), branch: master, commit date: 2019-10-03 21:03, hash: rBfbc096cf075b
Works: version: 2.80 (sub 75), branch: master, commit date: 2019-07-29 14:47, hash: rBf6cb5f54494e

Short description of error
Metaball after some action in edit mode (like selection of manipulator red or green) cause posibility to select other mesh objects in viewport (for Camera and Lights keeps working).
Also after mentioned edit mode action surface of metaball object disappears in Workbench or Eevee wire, material or render display mode. Only Solid mode displays surface

Exact steps for others to reproduce the error

  1. Add Metaball
  2. Enter Edit mode and select manipulator (like Stiffness)
  3. Switch back to object mode and try to select mesh object

Result:
Default Cube can't be selected (or any other mesh object (Objects like Camera or Lights are OK).

  1. Switch to Workbench or Eevee render engine
  2. Select Wire, Material od Render display mode

Result:
Surface of metaball and mesh object is gone.

Plus ... at the same time (you select red or green circle manipulator in edit mode) navigation icons disapears as well.

Event Timeline

filip mond (vklidu) updated the task description. (Show Details)
filip mond (vklidu) updated the task description. (Show Details)
Philipp Oeser (lichtwerk) lowered the priority of this task from 90 to 30.Oct 4 2019, 4:25 PM

Hm, cannot reproduce this [linux, 970m, 435.21 drivers]

Does this also happen with Factory Defaults? File → Defaults → Load Factory Settings
And just to be sure: could you share a .blend file where stuff is not selectable anymore (or where the mataball geo is not displayed anymore?)

filip mond (vklidu) added a comment.EditedOct 4 2019, 5:22 PM

Yes, Factory Defaults. This is not file specific, any new blend created works that way. I can try on two other macs I have acces, no PC on board at the moment test with Win.

Tested on official 2.8 as well - same result ... graphics?

other two macs the same behaviour

System Information
Operating system: Darwin-17.7.0-x86_64-i386-64bit 64 Bits
Graphics card: ATI Radeon HD 5750 OpenGL Engine ATI Technologies Inc. 4.1 ATI-1.68.20

System Information
Operating system: Darwin-15.6.0-x86_64-i386-64bit 64 Bits
Graphics card: ATI Radeon HD 2600 PRO OpenGL Engine ATI Technologies Inc. 3.3 ATI-10.0.52

filip mond (vklidu) added a comment.EditedOct 28 2019, 7:13 PM

Since another Mball is added (doesn't matter if as a new object or in edit mode of first Mball object)
objects still dissapears from vieport but if I click on some object visible (or in place of invisible object) in viewport (like camera, lights Mball) all objects become visible again and also mesh objects in a scene can be selected again as well.

If second mball is deleted and only one mball is in a scene again, then selection mesh objects in viewport is impossible again.

(report edit: for some reason actual 2.80 official release is working, previously I reported as broken as well... is it possible some changes on official release can happen?)

Broken in today 2.82

Philipp Oeser (lichtwerk) raised the priority of this task from 30 to 80.Nov 15 2019, 11:12 AM

@filip mond (vklidu): really looks like T70598: Unable to select mesh objects in viewport, and edit mode not displaying overlays.
Can you reproduce that one as well? [I guess these could be merged...]

filip mond (vklidu) added a comment.EditedNov 17 2019, 8:38 PM

@Philipp Oeser (lichtwerk): Yes I can. I already commented that.
https://developer.blender.org/T70598#802291

In that case I was able to "solve" it if its posible to say that :)
But it didn't help in my case.

Can be closed, solved with 2.81a update. Thank you :)

Philipp Oeser (lichtwerk) changed the task status from Unknown Status to Resolved.Dec 7 2019, 10:38 AM
Philipp Oeser (lichtwerk) claimed this task.

oki, thx for getting back